National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2015-8370 Detail

Description

Multiple integer underflows in Grub2 1.98 through 2.02 allow physically proximate attackers to bypass authentication, obtain sensitive information, or cause a denial of service (disk corruption) via backspace characters in the (1) grub_username_get function in grub-core/normal/auth.c or the (2) grub_password_get function in lib/crypto.c, which trigger an "Off-by-two" or "Out of bounds overwrite" memory error.

Source:  MITRE
Description Last Modified:  12/16/2015

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 6.9 MEDIUM
Vector: (AV:L/AC:M/Au:N/C:C/I:C/A:C) (V2 legend)
Impact Subscore: 10.0
Exploitability Subscore: 3.4


Access Vector (AV): Local
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): Complete
Integrity (I): Complete
Availability (A): Complete
Additional Information:
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://hmarco.org/bugs/CVE-2015-8370-Grub2-authentication-bypass.html Exploit
http://lists.fedoraproject.org/pipermail/package-announce/2015-December/173703.html
http://lists.fedoraproject.org/pipermail/package-announce/2015-December/174049.html
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00037.html
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00039.html
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00040.html
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00041.html
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00043.html
http://lists.opensuse.org/opensuse-security-announce/2015-12/msg00044.html
http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00003.html
http://packetstormsecurity.com/files/134831/Grub2-Authentication-Bypass.html
http://rhn.redhat.com/errata/RHSA-2015-2623.html
http://seclists.org/fulldisclosure/2015/Dec/69
http://www.debian.org/security/2015/dsa-3421
http://www.openwall.com/lists/oss-security/2015/12/15/6
http://www.oracle.com/technetwork/topics/security/cpujan2016-2367955.html Patch
http://www.oracle.com/technetwork/topics/security/linuxbulletinoct2015-2719645.html
http://www.securityfocus.com/archive/1/537115/100/0/threaded
http://www.securityfocus.com/bid/79358
http://www.securitytracker.com/id/1034422
http://www.ubuntu.com/usn/USN-2836-1
https://security.gentoo.org/glsa/201512-03

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Control (CWE-264)

Change History

8 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2015-8370
NVD Published Date:
12/16/2015
NVD Last Modified:
10/09/2018